package com.realnet.event.Services;
import com.realnet.event.Repository.EventRepository;
import com.realnet.event.Entity.Event
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class EventService {
@Autowired
private EventRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Event Savedata(Event data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Event save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Event> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Event> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Event> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Event getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Event update(Event data,Integer id) {
	Event old = Repository.findById(id).get();
old.setName(data.getName());

old.setDate(data.getDate());

old.setTime(data.getTime());

old.setDescription(data.getDescription());

final Event test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
